Bug 171692 - sysutils/munin-master: Munin 2.x introduces new dependency on net/p5-URI and devel/p5-Date-Manip
Summary: sysutils/munin-master: Munin 2.x introduces new dependency on net/p5-URI and ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-16 21:20 UTC by Bill
Modified: 2012-09-19 17:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bill 2012-09-16 21:20:05 UTC
A recent portupgrade caused munin-cron to stop working.  First problem was reported as:

Can't locate URI.pm in @INC

Installed net/p5-URI and the problem became:

Can't locate Date/Manip.pm in @INC

Installed devel/p5-Date-Manip and now things are happy again.

Fix: 

cd /usr/ports/net/p5-URI && sudo make install && cd /usr/ports/devel/p5-Date-Manip && sudo make install
Comment 1 Edwin Groothuis freebsd_committer 2012-09-16 21:20:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2012-09-17 02:05:58 UTC
Responsible Changed
From-To: perl->flo

Take a guess at which port is meant and reassign.
Comment 3 dfilter service freebsd_committer 2012-09-19 17:24:09 UTC
Author: flo
Date: Wed Sep 19 16:23:55 2012
New Revision: 304536
URL: http://svn.freebsd.org/changeset/ports/304536

Log:
  - add missing dependencies
  - bump PORTREVISION
  
  PR:		ports/171692
  Submitted by:	Bill <lists+freebsd@xinu.tv>

Modified:
  head/sysutils/munin-master/Makefile

Modified: head/sysutils/munin-master/Makefile
==============================================================================
--- head/sysutils/munin-master/Makefile	Wed Sep 19 16:21:17 2012	(r304535)
+++ head/sysutils/munin-master/Makefile	Wed Sep 19 16:23:55 2012	(r304536)
@@ -7,6 +7,7 @@
 
 PORTNAME=	munin
 PORTVERSION=	${MUNIN_VERSION}
+PORTREVISION=	1
 CATEGORIES=	sysutils perl5
 MASTER_SITES=	${MUNIN_SITES}
 PKGNAMESUFFIX=	-master
@@ -40,7 +41,9 @@ RUN_DEPENDS=	munin-common>=0:${PORTSDIR}
 		p5-Log-Log4perl>=0:${PORTSDIR}/devel/p5-Log-Log4perl \
 		p5-Net-SSLeay>=0:${PORTSDIR}/security/p5-Net-SSLeay \
 		p5-Params-Validate>=0:${PORTSDIR}/devel/p5-Params-Validate \
-		p5-Text-Balanced>=0:${PORTSDIR}/textproc/p5-Text-Balanced
+		p5-Text-Balanced>=0:${PORTSDIR}/textproc/p5-Text-Balanced \
+		p5-URI>=0:${PORTSDIR}/net/p5-URI \
+		p5-Date-Manip>=0:${PORTSDIR}/devel/p5-Date-Manip
 
 USE_PERL5=	yes
 USE_GMAKE=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Florian Smeets freebsd_committer 2012-09-19 17:26:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!